
#define MCP_ADDR        0b11010000 >>1
#define MCP_INIT        0b00001000
#define MCP_READ_1      0b10001000
#define MCP_DATA        0x00
#define MCP_CNFG        0x01
#define MCP_CONT15      0b01001000
#define MCP_GAINX1      0b00000000
#define MCP_GAINX2      0b00000001
#define MCP_GAINX4      0b00000010
#define MCP_GAINX8      0b00000011

void mcp_init(void);
void mcp_wr(uint8_t input);
uint32_t mcp_rd();
